\( \newcommand{\E}{\mathrm{E}} \) \( \newcommand{\A}{\mathrm{A}} \) \( \newcommand{\R}{\mathrm{R}} \) \( \newcommand{\N}{\mathrm{N}} \) \( \newcommand{\Q}{\mathrm{Q}} \) \( \newcommand{\Z}{\mathrm{Z}} \) \( \def\ccSum #1#2#3{ \sum_{#1}^{#2}{#3} } \def\ccProd #1#2#3{ \sum_{#1}^{#2}{#3} }\)

CGAL 4.8 - STL Extensions for CGAL

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Groups Pages
List of all members
CGAL::Emptyset_iterator Class Reference
Iterators and Iterator/Circulator Adaptors

`#include <CGAL/iterator.h>`

## Definition

The class `Emptyset_iterator` defines an `OutputIterator` that ignores everything written to it.

One can think of it as being connected to `/dev/null`.

Is Model Of:
  `OutputIterator`

See Also
  `CGAL::Oneset_iterator`
  `CGAL::Const_oneset_iterator`

## Creation
| Emptyset_iterator ()
| default constructor.